org.red5.server.api.so

## Interface ISharedObjectSecurity

    public interface ISharedObjectSecurity

Interface for handlers that control access to shared objects.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Method Summary

Methods
`boolean` `isConnectionAllowed(ISharedObject so)` Check if a connection to the given existing shared object is allowed.
`boolean` `isCreationAllowed(IScope scope, String name, boolean persistent)` Check if the a shared object may be created in the given scope.
`boolean` `isDeleteAllowed(ISharedObject so, String key)` Check if the deletion of a property is allowed on the given shared object.
`boolean` `isSendAllowed(ISharedObject so, String message, List<?> arguments)` Check if sending a message to the shared object is allowed.
`boolean` `isWriteAllowed(ISharedObject so, String key, Object value)` Check if a modification is allowed on the given shared object.

### Method Detail

#### isCreationAllowed

    boolean isCreationAllowed(IScope scope,
                            String name,
                            boolean persistent)

Check if the a shared object may be created in the given scope.

Parameters:
  `scope` - scope
  `name` - name
  `persistent` - is persistent
Returns:
  is creation allowed

#### isConnectionAllowed

    boolean isConnectionAllowed(ISharedObject so)

Check if a connection to the given existing shared object is allowed.

Parameters:
  `so` - shared ojbect
Returns:
  is connection alowed

#### isWriteAllowed

    boolean isWriteAllowed(ISharedObject so,
                         String key,
                         Object value)

Check if a modification is allowed on the given shared object.

Parameters:
  `so` - shared object
  `key` - key
  `value` - value
Returns:
  true if given key is modifiable; false otherwise

#### isDeleteAllowed

    boolean isDeleteAllowed(ISharedObject so,
                          String key)

Check if the deletion of a property is allowed on the given shared object.

Parameters:
  `so` - shared object
  `key` - key
Returns:
  true if delete allowed; false otherwise

#### isSendAllowed

    boolean isSendAllowed(ISharedObject so,
                        String message,
                        List<?> arguments)

Check if sending a message to the shared object is allowed.

Parameters:
  `so` - shared object
  `message` - message
  `arguments` - arguments
Returns:
  true if allowed